summaryrefslogtreecommitdiff
path: root/tests/mv/i-2
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2007-09-06 23:05:16 +0200
committerJim Meyering <jim@meyering.net>2007-09-15 08:40:38 +0200
commit33173e867aa45b7f88551551da51e36875582813 (patch)
tree8bbe0a98f0b3cbd0977e35b2b0d4f4cc432dc288 /tests/mv/i-2
parentdf0beae1eb1318869d51a064aec8fdd401877cbf (diff)
downloadcoreutils-33173e867aa45b7f88551551da51e36875582813.tar.xz
Convert tests/mv, too.
* tests/other-fs-tmpdir: Before, all callers would exit 77 upon failure to find the required dir. Now, exit 77 in this script so callers don't have to. Adjust callers.
Diffstat (limited to 'tests/mv/i-2')
-rwxr-xr-xtests/mv/i-228
1 files changed, 7 insertions, 21 deletions
diff --git a/tests/mv/i-2 b/tests/mv/i-2
index 9dc1e0e3d..6c654c98f 100755
--- a/tests/mv/i-2
+++ b/tests/mv/i-2
@@ -2,7 +2,7 @@
# Test both cp and mv for their behavior with -if and -fi
# The standards (POSIX and SuS) dictate annoyingly inconsistent behavior.
-# Copyright (C) 2000, 2001, 2006, 2007 Free Software Foundation, Inc.
+# Copyright (C) 2000, 2001, 2006-2007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -23,32 +23,18 @@ if test "$VERBOSE" = yes; then
cp --version
fi
-. $srcdir/../envvar-check
# Make sure we get English translations.
. $srcdir/../lang-default
PRIV_CHECK_ARG=require-non-root . $srcdir/../priv-check
-
-pwd=`pwd`
-tmp=cp-mv-if-$$
-trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
-trap 'exit $?' 1 2 13 15
-
-framework_failure=0
-mkdir $tmp || framework_failure=1
-cd $tmp || framework_failure=1
+. $srcdir/../test-lib.sh
for i in a b c d e f g h; do
- echo $i > $i || framework_failure=1
+ echo $i > $i || framework_failure
done
-chmod 0 b d f h || framework_failure=1
-echo y > y || framework_failure=1
-
-if test $framework_failure = 1; then
- echo 'failure in testing framework'
- exit 1
-fi
+chmod 0 b d f h || framework_failure
+echo y > y || framework_failure
fail=0
mv -if a b || fail=1
@@ -65,11 +51,11 @@ esac
test -f e || fail=1
test -f f || fail=1
-cmp e f || fail=1
+compare e f || fail=1
cp -fi g h < y > out 2>&1 || fail=1
test -f g || fail=1
test -f h || fail=1
-cmp g h || fail=1
+compare g h || fail=1
exit $fail